scim_object.h File Reference

Reference counted base class interface. More...

## Classes

class | scim::ReferencedObject
| Reference counted base class. More...

## Namespaces

namespace | scim

## Detailed Description

Reference counted base class interface.

Provides a reference counted base class for dynamic objects handled the scim smart pointer.

Most code of this file are came from Inti project.